Class | Bio::FlatFile::AutoDetect::RuleDebug
In: | lib/bio/io/flatfile/autodetection.rb
Parent: | RuleTemplate

RuleDebug is a class for debugging autodetect classes/methods

### Methods

guess new

### Public Class methods

new(name)

Creates a new instance.

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 102
    102:         def initialize(name)
    103:           super()
    104:           @name = name
    105:         end

### Public Instance methods

guess(text, meta)

prints information to the $stderr.

[Source]

         # File lib/bio/io/flatfile/autodetection.rb, line 108
    108:         def guess(text, meta)
    109:           $stderr.puts @name
    110:           $stderr.puts text.inspect
    111:           $stderr.puts meta.inspect
    112:           nil
    113:         end

[Validate]